/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 

#ifndef _VIEW_H_
#define _VIEW_H_

#include <qframe.h>
#include <qlabel.h>
#include <kurl.h>
#include <qpixmap.h>
#include <kconfig.h>

class MyHeader;
class Details;
class Actions;
class Devices;

class View : public QFrame
{
  Q_OBJECT
 public:
	View(QWidget *parent);
	~View();

	QLabel *url;
 
 public slots:
	void clicked( const QString &url );
        void slotUrlChanged(const KURL &url) { emit urlChanged( url ); }
 
 signals:
        void urlChanged(const KURL &url);
	
 protected:
	QPixmap image;
	KConfig *config;
	
	Devices  *head_devices;
	MyHeader *head_shortcuts;
	Details  *head_details;
	Actions  *head_actions;
};


#endif
